## org.hibernate.ejb.criteria
Class ValueHandlerFactory.IntegerValueHandler

    java.lang.Object
      org.hibernate.ejb.criteria.ValueHandlerFactory.BaseValueHandler<Integer>
          org.hibernate.ejb.criteria.ValueHandlerFactory.IntegerValueHandler

All Implemented Interfaces:
  Serializable, ValueHandlerFactory.ValueHandler<Integer>

Enclosing class:
  ValueHandlerFactory

    public static class ValueHandlerFactory.IntegerValueHandler

extends ValueHandlerFactory.BaseValueHandler<Integer>
implements Serializable

See Also:
  Serialized Form

Field Summary
`static ValueHandlerFactory.IntegerValueHandler` `INSTANCE`

Constructor Summary
`ValueHandlerFactory.IntegerValueHandler()`

Method Summary
`Integer` `convert(Object value)`

Methods inherited from class org.hibernate.ejb.criteria.ValueHandlerFactory.BaseValueHandler
`render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ValueHandlerFactory.IntegerValueHandler INSTANCE

Constructor Detail

### ValueHandlerFactory.IntegerValueHandler

    public ValueHandlerFactory.IntegerValueHandler()

Method Detail

### convert

    public Integer convert(Object value)

  Specified by:
    `convert` in interface `ValueHandlerFactory.ValueHandler<Integer>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.